%global srcname pytest-datadir

Name:           python-%{srcname}
Version:        1.3.1
Release:        2%{?dist}
Summary:        Pytest plugin for test data directories and files
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist tox}
BuildRequires:  %{py3_dist tox-current-env}
BuildRequires:  %{py3_dist wheel}

%global _desc %{expand:
This package contains a pytest plugin for manipulating test data
directories and files.}

%description %_desc

%package     -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_desc

%prep
%autosetup -n %{srcname}-%{version}

# Do not attempt to use git to determine the version
sed -i "s/use_scm_version.*/version='%{version}',/;/setuptools_scm/d" setup.py
cat > src/pytest_datadir/_version.py << EOF
version='%{version}'
EOF

%build
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html

%install
%pyproject_install

# Remove misinstalled LICENSE file
rm %{buildroot}%{_prefix}/LICENSE

%check
%tox

%files       -n python3-%{srcname}
%doc AUTHORS CHANGELOG.html README.md
%license LICENSE
%{python3_sitelib}/pytest_datadir*

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 13 2021 Jerry James <loganjerry@gmail.com> - 1.3.1-1
- Initial RPM
